=== debian/changelog ===
freebayes (1.0.2-1) unstable; urgency=low

  * Initial packaging (Closes: #851306)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 11:40:28 +0100
