=== debian/control ===
Source: freebayes
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Brad Chapman <chapmanb@50mail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               pkg-config,
               zlib1g-dev,
               libbamtools-dev,
               libvcflib-dev,
               libtabixpp-dev,
               bc,
               samtools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/freebayes.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/freebayes.git
Homepage: https://github.com/ekg/freebayes

Package: freebayes
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Bayesian haplotype-based polymorphism discovery and genotyping
 FreeBayes is a Bayesian genetic variant detector designed to find
 small polymorphisms, specifically SNPs (single-nucleotide
 polymorphisms), indels (insertions and deletions), MNPs
 (multi-nucleotide polymorphisms), and complex events (composite
 insertion and substitution events) smaller than the length of a
 short-read sequencing alignment.
