=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	echo "Skip autoinstall process - files are moved around by dh_install"

override_dh_auto_test:
	mkdir -p $(CURDIR)/test/bash-tap/
	for bt in $(CURDIR)/debian/bash-tap/* ; do ln -s $${bt} $(CURDIR)/test/bash-tap/`basename $${bt}` ; done
	export PATH=/usr/lib/vcflib/binaries/:$(PATH) dh_auto_test && echo "Tests were running successfully"
	rm -rf $(CURDIR)/test/bash-tap
