=== test/Makefile ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	cd .. && $(MAKE)
 
 $(vcfuniq):
-	cd ../vcflib && $(MAKE)
+	cd ../vcflib && make clean && make
