=== debian/changelog ===
freebayes (1.1.0-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.0

  [ Fabian Klötzl ]
  * Use C++11
  * Added patch for symbol name clash with htslib
    Closes: #866646
  * d/upstream/metadata: Add registries (Thanks to Steffen)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2017 16:20:02 +0200
