=== debian/control ===
--- 
+++ 
@@ -4,16 +4,20 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                pkg-config,
+               python,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev,
+               libvcflib-dev (>= 1.0.0~rc1+dfsg1-4),
                libtabixpp-dev,
+               libseqlib-dev,
                bc,
-               samtools
-Standards-Version: 3.9.8
+               samtools,
+               parallel,
+               libvcflib-tools (>= 1.0.0~rc1+dfsg1-6)
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/freebayes.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/freebayes.git
 Homepage: https://github.com/ekg/freebayes
@@ -22,6 +26,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: parallel
 Description: Bayesian haplotype-based polymorphism discovery and genotyping
  FreeBayes is a Bayesian genetic variant detector designed to find
  small polymorphisms, specifically SNPs (single-nucleotide
