=== debian/watch ===
version=3
opts="uversionmangle=s/^9/0.9/" \
  https://github.com/ekg/freebayes/tags .*/archive/v?(\d\S*)\.tar\.gz
