## freebayes 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 all: vcflib/Makefile log
 	cd src && $(MAKE)
+
+wbamtools: vcflib/Makefile log
+	cd src && $(MAKE) -f Makefile.bamtools
 
 log: src/version_git.h
 	wget -q http://hypervolu.me/freebayes/build/$(shell cat src/version_git.h | grep v | cut -f 3 -d\  | sed s/\"//g) &
