=== debian/changelog ===
freebayes (1.2.0-2) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * Versioned Build-Depends: libvcflib-dev (>= 1.0.0~rc2+dfsg-2~)
  * debian/rules:
     + --no-parallel
       Closes: #910324
     + Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2018 07:56:21 +0200

freebayes (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Bump versioned Build-Depends: libseqlib-dev (>= 1.1.2+dfsg)
  * DEP5 fix
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 23 May 2018 17:49:28 +0200

freebayes (1.1.0-2) unstable; urgency=medium

  * Versioned Build-Depends: libseqlib-dev (>= 1.1.1+dfsg-4) to include all
    headers needed by seqlib
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2018 16:48:22 +0100
