=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                pkg-config,
                python,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev (>= 1.0.0~rc1+dfsg1-4),
+               libvcflib-dev (>= 1.0.0~rc2+dfsg-2~),
                libtabixpp-dev,
                libseqlib-dev,
                bc,
                samtools,
                parallel,
                libvcflib-tools (>= 1.0.0~rc1+dfsg1-6)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/freebayes.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/freebayes.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/freebayes
+Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
 
 Package: freebayes
