## freebayes 1.3.1

=== debian/changelog ===
freebayes (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Build-Depends: libvcflib-dev (>= 1.0.0~rc2+dfsg-3~) to make sure all
    binaries needed for testing are available in PATH
  * Skip failing test (see
     https://github.com/ekg/freebayes/issues/329 )

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jul 2019 17:05:12 +0200
