=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                pkg-config,
                python,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev (>= 1.0.0~rc2+dfsg-2~),
+               libvcflib-dev (>= 1.0.0~rc2+dfsg-3~),
                libtabixpp-dev,
                libseqlib-dev,
                bc,
                samtools,
                parallel,
                libvcflib-tools (>= 1.0.0~rc1+dfsg1-6)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
