=== debian/changelog ===
freebayes (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Improve the build hardening
  * Include the README in the binary package
  * Remove the packages parallel and libvcflib-tools from the nocheck build
    profile
  * fix the self-reported version to match the actual version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 16 Feb 2020 14:33:42 +0100

freebayes (1.3.2-1) unstable; urgency=medium

  * New upstream version
  * Some additional patches created by 2to3 despite the general code base
    is Python3
    Closes: #936551
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Versioned Build-Depends: libseqlib-dev (>= 1.1.2+dfsg-5)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2019 14:14:17 +0100
