=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 12),
                cmake,
                pkg-config,
-               python,
+               python3,
                zlib1g-dev,
                libbamtools-dev,
                libvcflib-dev (>= 1.0.0~rc2+dfsg-3~),
                libtabixpp-dev,
-               libseqlib-dev,
+               libseqlib-dev (>= 1.1.2+dfsg-5),
                bc,
                samtools,
-               parallel,
-               libvcflib-tools (>= 1.0.0~rc1+dfsg1-6)
-Standards-Version: 4.4.0
+               parallel <!nocheck>,
+               libvcflib-tools (>= 1.0.0~rc1+dfsg1-6) <!nocheck>
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
