=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_CFLAGS_MAINT_APPEND=-std=gnu++11
+export DEB_CXXFLAGS_MAINT_APPEND=-D_FILE_OFFSET_BITS=64
 
 %:
 	dh $@ --no-parallel
+
+override_dh_auto_build:
+	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)"
 
 override_dh_auto_install:
 	echo "Skip autoinstall process - files are moved around by dh_install"
