## freebayes 1.3.5

=== debian/changelog ===
freebayes (1.3.5-1) unstable; urgency=medium

  * New upstream version
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Feb 2021 11:28:21 +0100

freebayes (1.3.3-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS caused by too quick timeouts for tests
  * Add release notes to installed documentation
  * Update libraries.patch header to link to a related pull request

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Wed, 20 Jan 2021 15:57:11 +0200

freebayes (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Replace Build-Depends cmake with meson and ninja-build
  * Adapt debian/rules to use the meson build system
  * Remove debian/install that listed files now installed by the build system
  * Standards-Version: 4.5.1 (routine-update)
  * Clean autogenerated test/regression/NA12878.chr22.tiny.vcf
  * Remove all pre-existing patches
  * Add libraries.patch to use Debian-provided external libraries in meson

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Mon, 18 Jan 2021 15:50:10 +0200

freebayes (1.3.2-3) unstable; urgency=medium

  * Team upload

  [ Pranav Ballaney ]
  * Install test data
  * Add autopkgtests
  * Install docs and binaries

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Add missing files to debian/source/include-binaries

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Mon, 01 Jun 2020 02:50:39 +0530
