=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
+Build-Depends: debhelper-compat (= 13),
+               meson,
+               ninja-build,
                pkg-config,
                python3,
                zlib1g-dev,
@@ -17,10 +18,11 @@
                samtools,
                parallel <!nocheck>,
                libvcflib-tools (>= 1.0.0~rc1+dfsg1-6) <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
+Rules-Requires-Root: no
 
 Package: freebayes
 Architecture: any
