## freebayes 1.3.6

=== paper/Makefile ===
all: paper

paper:
	pdflatex main
	bibtex main
	pdflatex main

clean:
	rm -f main.{aux,bbl,blg,log,pdf}
