=== debian/changelog ===
freebayes (1.3.6-2) unstable; urgency=medium

  * install scripts (+ python3 dependency accordingly)
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 14:38:51 +0100

freebayes (1.3.6-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 12:09:32 +0100

freebayes (1.3.5-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvcflib-tools.

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 08:09:27 +0200

freebayes (1.3.5-2) unstable; urgency=medium

  * Team Upload.
  * Remove B-D on python3 (Closes: #988556)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:27:47 +0530
