=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                meson,
                ninja-build,
                pkg-config,
-               python3,
                zlib1g-dev,
                libbamtools-dev,
                libvcflib-dev (>= 1.0.0~rc2+dfsg-3~),
@@ -17,8 +16,9 @@
                bc,
                samtools,
                parallel <!nocheck>,
-               libvcflib-tools (>= 1.0.0~rc1+dfsg1-6) <!nocheck>
-Standards-Version: 4.5.1
+               libvcflib-tools <!nocheck>,
+               debhelper
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
@@ -27,7 +27,8 @@
 Package: freebayes
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3
 Recommends: parallel
 Description: Bayesian haplotype-based polymorphism discovery and genotyping
  FreeBayes is a Bayesian genetic variant detector designed to find
