=== debian/watch ===
version=4
opts="uversionmangle=s/^9/0.9/" \
  https://github.com/ekg/freebayes/tags .*/v?(\d\S*)\.tar\.gz
