## freebayes 1.3.7

=== debian/changelog ===
freebayes (1.3.7-1) unstable; urgency=medium

  * Team Upload.

  [ Andreas Tille ]
  * Bump versioned Build-Depends: libvcflib-dev (>= 1.0.9+dfsg-1~)
  * Do not build on i386 on Salsa CI

  [ Michael R. Crusoe ]
  * d/control: applied fix for :unnecessary greater-than versioned
    dependency
  * d/copyright: update path for ttmath
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/rules: delete any by-products from testing

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 21 Aug 2023 13:22:14 +0200

freebayes (1.3.7-1~exp) experimental; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 1.3.7
    Closes: #1032557
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Mar 2023 11:17:58 +0100
