=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                pkg-config,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev (>= 1.0.0~rc2+dfsg-3~),
+               libvcflib-dev (>= 1.0.9+dfsg-1~),
                libtabixpp-dev,
-               libseqlib-dev (>= 1.1.2+dfsg-5),
+               libseqlib-dev,
                bc,
                samtools,
                parallel <!nocheck>,
                libvcflib-tools <!nocheck>,
                debhelper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
