=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	ln -s -t test/test-simple-bash $(CURDIR)/debian/test-simple-bash/*
 
 	dh_auto_test -- -v --timeout-multiplier 100
+	find . -name core -delete
 
-	rm test/bash-tap/*
-	rm test/test-simple-bash/*
+	rm -Rf test/bash-tap
+	rm -Rf test/test-simple-bash
 endif
