## freebayes 1.3.9

=== meson_options.txt ===
option('prefer_system_deps', type : 'boolean', value : true)
option('static', type : 'boolean', value : false)
