=== debian/changelog ===
freebayes (1.3.9-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/watch: mangle pre-release tags appropriately
  * d/control: pkg-config → pkgconf
  * d/ext/multichoose: bundle in library missing from tarball.
  * d/ext/multichoose: update to
    https://github.com/vcflib/multichoose/commit/255192edd49cfe36557f7f4
    f0d2d6ee1c702ffbb
  * d/clean: added more entries

  [ Andreas Tille ]
  * New upstream version
  * Bumped version in Build-Depends: libvcflib-dev (>= 1.0.12~)
    Closes: #1067271
  * Standards-Version: 4.7.0 (routine-update)
  * d/watch: Fix download file name

 -- Andreas Tille <tille@debian.org>  Sun, 16 Feb 2025 16:26:52 +0100
