=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                meson,
                ninja-build,
-               pkg-config,
+               pkgconf,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev (>= 1.0.9+dfsg-1~),
+               libvcflib-dev (>= 1.0.12~),
                libtabixpp-dev,
                libseqlib-dev,
                bc,
@@ -18,7 +18,7 @@
                parallel <!nocheck>,
                libvcflib-tools <!nocheck>,
                debhelper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
