=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CXXFLAGS_MAINT_APPEND=-I/usr/include/fastahack
 
 # testsuite assumes binaries to be tested are under build/
 %:
 	dh $@ --buildsystem=meson --builddir=build
+
+execute_before_dh_auto_configure:
+	cp -a debian/ext/* contrib/
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
