=== debian/watch ===
version=4
opts="uversionmangle=s/^9/0.9/;s/-pre/~pre/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ekg/freebayes/tags .*/v?(\d\S*)\.tar\.gz
